package task4;

public class Application {

    public static void main(String[] args) {
        int[] command = {1, 5, 3, 4, 0, 0, 7, 0, 0, 6};
        System.out.println(processBossCommand(command));
    }

    private static int processBossCommand(int[] numbers) {
        Stack stack = new MyStack();
        for (int i = 0; i < numbers.length; i++) {
            if (numbers[i] != 0) {
                processNonZero(stack, numbers[i]);
            } else {
                processZero(stack);
            }
        }
        return computeSum(stack);
    }

    private static void processZero(Stack stack) {
        stack.pop();
    }

    private static void processNonZero(Stack stack, int number) {
        stack.push(number);
    }

    private static int computeSum(Stack stack) {
        int sum = 0;
        while (!stack.isEmpty()) {
            sum += (int) stack.pop();
        }
        return sum;
    }
}
