package task4;

public class MyStack implements Stack {

    private static final int MAX_STACK_SIZE = 500;
    private Object[] data;
    private int top;

    public MyStack() {
        data = new Object[MAX_STACK_SIZE];
        top = -1;
    }

    @Override
    public void push(Object item) {
        data[++top] = item;
    }

    @Override
    public Object pop() {
        return data[top--];
    }

    @Override
    public Object peek() {
        return data[top];
    }

    @Override
    public boolean isEmpty() {
        return top == -1;
    }
}
