package task4;

public interface Stack {

    // precondition: item is not null
    // postcondition: adds the item to the top of the stack
    void push(Object item);

    // precondition: none
    // postcondition: Removes and returns the top item from the stack. Returns null if the stack is empty.
    Object pop();

    // precondition: none
    // postcondition: Returns a reference to the top item on the stack, but does not remove it.
    // Returns null if the stack is empty.
    Object peek();

    // precondition: none
    // postcondition: Returns true if the stack is empty, false otherwise.
    boolean isEmpty();
}


